Subject: [LON-CAPA-dev] Version 1.1.3

From: Guy Albertelli II <[email-masked]>
Date: Thu, 8 Apr 2004 15:46:46 -0400 (EDT)

Hi All,

Hopefully this one can tide us out through the summer while we finish
up 1.2

I'll announce this for real tommorrow unless anyone has any
complaints.

(I have it running on s12.lite.msu.edu right now, if you want to login
and give it a kick.)

----
New Version 1.1.3 Released

More bugfixes, I'd suggest installing this if you have the chance or
one of the bugs below has hit you.

Bug Fixes:
- printing for 'Selected Students' was not printing images and was
    screwing up column widths
- parts that contain ) were causing Server Errors
- units 'day','days','yr' now work
- printing with a _large_ number of roles now works
- Excel output now always includes titles

Other Changes
- new hosts added (Nagoya U, Hebrew U, Sao Paulo, NDSU access servers)
- languages updated: Arabic, Farsii, Portuguese, Russian, 

To install this update:

1) You will need to be running Redhat 7.X (preferably 7.3) or Fedora
   for this release to work

   If you are running Fedora please see this page for instructions
   http://install.loncapa.org/fedora_install.html

   If you are running Redhat 7.X instructions for updating follow.

2) if you haven't already download and install the 3.9 systemperl rpm

If you are running RedHat 7.X get
http://install.loncapa.org/resources/LON-CAPA-systemperl-3.9-rh7.i386.rpm

Install it by doing:
rpm -e `rpm -q -a | grep systemperl`
rpm --install --force --nodeps LON-CAPA-systemperl-3.9-rh7.i386.rpm

Verify it is installed by doing:

$ rpm -q LON-CAPA-systemperl

RedHat 7.X will show
LON-CAPA-systemperl-3.9-rh7

3) Download the new LON-CAPA tarball from
wget http://install.lon-capa.org/versions/loncapa-1.1.3.tar.gz

and untar it

tar xzvf loncapa-1.1.3.tar.gz

4) Run the UPDATE script as root
cd loncapa-1.1.3
su
./UPDATE

5) restart the system services
/etc/rc.d/init.d/loncontrol stop
/etc/rc.d/init.d/loncontrol start
/etc/rc.d/init.d/httpd stop
/etc/rc.d/init.d/httpd start

----NOTES
1) Many questions are answered at http://help.lon-capa.org
2) Defect reports, and enhancement requests can be entered at
   http://bugs.lon-capa.org
3) Mailing lists can be joined and left at http://mail.lon-capa.org

-- 
[email-masked]  LON-CAPA Developer  0-7-4-7-